package com.inspect.job.domain;

import java.util.List;
import java.util.Objects;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Setter
@Getter
@Component
@ConfigurationProperties(
        prefix = "shaoxing.big"
)
public class ShaoXinBigModel {
    private boolean switchStatus;
    private List<String> list;

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        ShaoXinBigModel that = (ShaoXinBigModel) object;
        return switchStatus == that.switchStatus && Objects.equals(list, that.list);
    }

    @Override
    public int hashCode() {
        return Objects.hash(switchStatus, list);
    }

    @Override
    public String toString() {
        return "ShaoXinBigModel{" +
                "switchStatus=" + switchStatus +
                ", list=" + list +
                '}';
    }
}
